### Method

# Soup ServerMessage steal_connection

#### Declaration [src]

    GIOStream*
    soup_server_message_steal_connection (
      SoupServerMessage* msg
    )

#### Description [src]

“Steals” the HTTP connection associated with `msg` from its `SoupServer`. This happens immediately, regardless of the current state of the connection; if the response to `msg` has not yet finished being sent, then it will be discarded; you can steal the connection from a `SoupServerMessage::wrote-informational` or `SoupServerMessage::wrote-body` signal handler if you need to wait for part or all of the response to be sent.

Note that when calling this function from C, `msg` will most likely be freed as a side effect.

#### Return value

Returns: | `GIOStream`
| The `GIOStream` formerly associated with `msg` (or `NULL` if `msg` was no longer associated with a connection). No guarantees are made about what kind of `GIOStream` is returned.
| The caller of the method takes ownership of the data, and is responsible for freeing it.